if ("/"->is_link (FS_FILE)) ...                                                /* 0 */

if ("/etc"->is_link (FS_FILE)) ...                                             /* 0 */

if ("/etc/hosts"->is_link (FS_FILE)) ...                                       /* 1 */

if ("./text.txt"->is_link (FS_FILE)) ...                                       /* 0 */

if ("./random-file-name.txt"->is_link (FS_FILE)) ...                           /* "ERR_LINK_NOT_EXISTS" */

if ("./random/directory/name"->is_link (FS_FILE)) ...                          /* "ERR_LINK_NOT_EXISTS" */

if (""->is_link (FS_FILE)) ...                                                 /* "ERR_EMPTY_LINK_NAME" */

if ("?*><"->is_link (FS_FILE)) ...                                             /* "ERR_INCORRECT_LINK_NAME" */